<template>
    <div class="slds-card">
        <div class="slds-form-element slds-card">
            <div class="slds-form-element__control">
                <div class="slds-combobox_container">

                    <div class="slds-combobox slds-dropdown-trigger slds-dropdown-trigger_click slds-is-open"
                         aria-expanded="false" aria-haspopup="listbox" role="combobox">

                        <lightning-input type="search"
                                         onchange={handleChangeInput}
                                         class="slds-m-top_none"
                                         label={title}
                                         value={searchText}
                                         title={searchText}
                                         maxlength="255"
                                         placeholder={placeholder}
                                         required={isRequired}
                                         is-loading={isLoading}
                        >
                        </lightning-input>

                        <div class="slds-dropdown slds-dropdown_length-with-icon-7 slds-dropdown_fluid" role="listbox" if:true={isShowListbox}>

                            <ul class="slds-listbox slds-listbox_vertical" role="presentation">
                                <template for:each={foundObjects} for:item="foundObject">
                                    <li role="presentation" class="slds-listbox__item" key={foundObject.Id}>
                                        <div key={foundObject.Id} data-row-index={foundObject.Id}
                                             onclick={handleSelectRecord}
                                             role="option"
                                             class="slds-media slds-listbox__option slds-listbox__option_entity slds-listbox__option_has-meta">
                                            <span class="slds-media__body">
                                                <span class="slds-listbox__option-text slds-listbox__option-text_entity" title={foundObject.textToDisplay}>
                                                    {foundObject.textToDisplay}
                                                </span>
                                            </span>
                                        </div>
                                    </li>
                                </template>

                                <template if:true={moreThanMaxFields}>
                                    <div class="slds-p-left_small">
                                        . . .
                                    </div>
                                </template>

                            </ul>

                        </div>
                        <template if:true={error}>
                                <span class="slds-p-left_small slds-text-color_destructive">
                                    {error}
                                </span>
                        </template>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>